# 32/64bit spec-file
#
%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Name:           glyr
Version:        1.0.0
Release:        %mkrel 2

Summary:        Glyr is a search eninge for musicrelated metadata
Group:          System/Libraries
License:        GPLv3+
URL:            https://github.com/sahib/glyr
Source:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  cmake
BuildRequires:  libcurl-devel
BuildRequires:  sqlite3-devel >= 3.4
Requires:       %{_lib}curl4
Requires:       %{_lib}sqlite3_0

%description 
Glyr is a search engine for musicrelated metadata.
It comes both in a commandline interface tool and as a C library, both with an
easy to use interface. The sort of metadata glyr is searching (and downloading)
is usually the data you see in your musicplayer. And indeed, originally it was
written to serve as internally library for a musicplayer, but has been extended
to work as a standalone program which is able to download: cover art, lyrics,
bandphotos, artist biography, album reviews, tracklists of an album,a list of
albums from a specific artist, tags, either related to artist, album or title
relations, for example links to wikipedia, similar artists and similar songs.

%package -n %{libname}
Summary: Glyr is a search engine for musicrelated metadata	
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}


%description -n %{libname}
Glyr is a search engine for musicrelated metadata.
It comes both in a commandline interface tool and as a C library, both with an
easy to use interface. The sort of metadata glyr is searching (and downloading)
is usually the data you see in your musicplayer. And indeed, originally it was
written to serve as internally library for a musicplayer, but has been extended
to work as a standalone program which is able to download: cover art, lyrics,
bandphotos, artist biography, album reviews, tracklists of an album,a list of
albums from a specific artist, tags, either related to artist, album or title
relations, for example links to wikipedia, similar artists and similar songs.



%package -n %{develname}    
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}  
The Glyr-devel package contains libraries and header files for
developing applications that use Glyr.


%prep
%setup -q


%build
%cmake 

%make 


%install
rm -rf %{buildroot}
%makeinstall_std -C build

find %{buildroot} -name '*.la' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CHANGELOG AUTHORS COPYING
%{_bindir}/glyrc


%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.%{major}*


%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/%{name}/glyr.h
%{_includedir}/%{name}/types.h
%{_includedir}/%{name}/cache.h
%{_includedir}/%{name}/misc.h
%{_includedir}/%{name}/config.h
%{_includedir}/%{name}/testing.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Thu Feb 28 2013 pinoc <vogtpet at gmail.com> 1.0.0-2pclos2013
- fixed Requires for 64bit

* Wed Feb 27 2013 Ken <lxgator@gmail.com> 1.0.0-1pclos2013
- initial build

